Package tigase.server.extdisco

# Class ExternalServiceDiscoveryModule

java.lang.Object
tigase.server.extdisco.ExternalServiceDiscoveryModule

All Implemented Interfaces:
  `Module`

@Bean(name="extDiscoModule", parent=ExternalServiceDiscoveryComponent.class, active=true) public class ExternalServiceDiscoveryModule extends Object implements Module
Created by andrzej on 06.09.2016.

- ## Field Summary

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalServiceDiscoveryModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getFeatures()`
  Returns XMPP features offered by module.
  `Criteria`
  `getModuleCriteria()`
  Returns critera used by Component to select module to handle incoming stanza.
  `protected List<ExtServiceDiscoItem>`
  `getServices(String type)`
  `void`
  `process(Packet packet)`
  Process incoming stanza.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle`

- ## Constructor Details

  - ### ExternalServiceDiscoveryModule

    public ExternalServiceDiscoveryModule()

- ## Method Details

  - ### getFeatures

    public String[] getFeatures()
    Description copied from interface: `Module`
    Returns XMPP features offered by module. Features will be returned by Service Discovery.
    Specified by:
      `getFeatures` in interface `Module`
    Returns:
      array of features or `null`.

  - ### getModuleCriteria

    public Criteria getModuleCriteria()
    Description copied from interface: `Module`
    Returns critera used by Component to select module to handle incoming stanza.
    Specified by:
      `getModuleCriteria` in interface `Module`
    Returns:
      criteria of selecting module.

  - ### process

    public void process(Packet packet) throws ComponentException, TigaseStringprepException
    Description copied from interface: `Module`
    Process incoming stanza.
    Specified by:
      `process` in interface `Module`
    Parameters:
      `packet` - received `stanza`.
    Throws:
      `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
      `TigaseStringprepException` - if there was an error during stringprep processing.

  - ### getServices

    protected List<ExtServiceDiscoItem> getServices(String type)